# List the existing plan profiles

Retrieve plan profiles using cursor-based paging (see the Cursor-based pagination documentation on the PTV Developer Portal for more details).

Endpoint: GET /plan-profiles
Version: v1.23.0
Security: clientCredentials

## Query parameters:

  - `cursor` (string)
    The cursor of the page to retrieve. No cursor is needed to retrieve the first page.

  - `limit` (integer)
    The maximum amount of plan profiles that should be returned in the response

## Response 200 fields (application/json):

  - `data` (array, required)
    The set of results for the current page.

  - `data.id` (string)
    Example: cb1fb12c-0abc-413c-a69d-63c62566685f

  - `data.name` (string)
    The name of the plan profile
    Example: Default Profile

  - `data.etag` (string)
    Example: W/"1"

  - `cursors` (object, required)
    Cursor that only supports `next` cursor navigation.

  - `cursors.next` (string)
    The cursor for the next page. Not present when fetching data for the last page.
    Example: bmV4dF9fcGFnZQ

